curl --request POST 'https://api.voicecheap.ai/v1/actions/translations_start' \
--header "x-api-key: $VOICECHEAP_API_KEY" \
--header 'Content-Type: application/json' \
--data '{"projectId":"project_launch_2026","targetLanguage":"english","voiceMode":"cloning","keepBackgroundMusic":true,"requestId":"41321bda-e243-4b6f-96a4-622cd047c991"}'
const input = {
projectId: 'project_launch_2026',
targetLanguage: 'english',
voiceMode: 'cloning',
keepBackgroundMusic: true,
requestId: '41321bda-e243-4b6f-96a4-622cd047c991',
};
const response = await fetch('https://api.voicecheap.ai/v1/actions/translations_start', {
method: 'POST',
headers: {
'x-api-key': process.env.VOICECHEAP_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify(input),
});
const body = await response.json();
if (!response.ok) throw new Error(body.code + ': ' + body.message);
console.log(body);
import os
import requests
response = requests.post(
"https://api.voicecheap.ai/v1/actions/translations_start",
headers={"x-api-key": os.environ["VOICECHEAP_API_KEY"]},
json={"projectId": "project_launch_2026", "targetLanguage": "english", "voiceMode": "cloning", "keepBackgroundMusic": True, "requestId": "41321bda-e243-4b6f-96a4-622cd047c991"},
timeout=120,
)
body = response.json()
if not response.ok:
raise RuntimeError(f"{body.get('code')}: {body.get('message')}")
print(body)
{
"data": {
"success": true,
"message": "Translation started successfully. Use the status endpoint to track progress.",
"projectId": "project_launch_2026",
"estimatedDuration": 10,
"workId": "5f8423d1-e4c0-4f80-9e3f-eed959389e24"
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
{
"data": {
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991",
"operation": "translations_start",
"createdAt": 1792144800000,
"updatedAt": 1792144820000,
"status": "running",
"pollAfterSeconds": 5
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
{
"data": {
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991",
"operation": "translations_start",
"createdAt": 1792144800000,
"updatedAt": 1792144820000,
"status": "completed",
"resultStored": false,
"message": "The action completed. Retrieve its output from the corresponding history or resource action."
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
번역 및 더빙
기존 프로젝트 번역
일반적인 크레딧, 음성 및 동시 실행 검사를 적용하여 이미 전사된 프로젝트를 다른 언어로 번역하고 더빙합니다. projects_status를 폴링하세요.
POST
/
v1
/
actions
/
translations_start
curl --request POST 'https://api.voicecheap.ai/v1/actions/translations_start' \
--header "x-api-key: $VOICECHEAP_API_KEY" \
--header 'Content-Type: application/json' \
--data '{"projectId":"project_launch_2026","targetLanguage":"english","voiceMode":"cloning","keepBackgroundMusic":true,"requestId":"41321bda-e243-4b6f-96a4-622cd047c991"}'
const input = {
projectId: 'project_launch_2026',
targetLanguage: 'english',
voiceMode: 'cloning',
keepBackgroundMusic: true,
requestId: '41321bda-e243-4b6f-96a4-622cd047c991',
};
const response = await fetch('https://api.voicecheap.ai/v1/actions/translations_start', {
method: 'POST',
headers: {
'x-api-key': process.env.VOICECHEAP_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify(input),
});
const body = await response.json();
if (!response.ok) throw new Error(body.code + ': ' + body.message);
console.log(body);
import os
import requests
response = requests.post(
"https://api.voicecheap.ai/v1/actions/translations_start",
headers={"x-api-key": os.environ["VOICECHEAP_API_KEY"]},
json={"projectId": "project_launch_2026", "targetLanguage": "english", "voiceMode": "cloning", "keepBackgroundMusic": True, "requestId": "41321bda-e243-4b6f-96a4-622cd047c991"},
timeout=120,
)
body = response.json()
if not response.ok:
raise RuntimeError(f"{body.get('code')}: {body.get('message')}")
print(body)
{
"data": {
"success": true,
"message": "Translation started successfully. Use the status endpoint to track progress.",
"projectId": "project_launch_2026",
"estimatedDuration": 10,
"workId": "5f8423d1-e4c0-4f80-9e3f-eed959389e24"
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
{
"data": {
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991",
"operation": "translations_start",
"createdAt": 1792144800000,
"updatedAt": 1792144820000,
"status": "running",
"pollAfterSeconds": 5
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
{
"data": {
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991",
"operation": "translations_start",
"createdAt": 1792144800000,
"updatedAt": 1792144820000,
"status": "completed",
"resultStored": false,
"message": "The action completed. Retrieve its output from the corresponding history or resource action."
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
일반적인 크레딧, 음성 및 동시 실행 검사를 적용하여 이미 전사된 프로젝트를 다른 언어로 번역하고 더빙합니다. projects_status를 폴링하세요.
필요한 권한:
POST https://api.voicecheap.ai/v1/actions/translations_start
인증 및 권한
string
필수
이 헤더에 VoiceCheap API 키를 전달하세요. 동일한 API 키를 사용하는 Authorization: Bearer도 지원합니다. OAuth 액세스 토큰은 MCP에서만 허용되며, 이
REST 엔드포인트에서는 사용할 수 없습니다.
translations:write.
활성 유료 구독이 필요합니다. 권한은 팀 역할, 리소스 소유권, 미디어 크레딧 또는 요금제 한도를 변경하지 않습니다.
매개변수
string
필수
텍스트 값입니다.최소 길이: 1. 최대 길이: 200. 패턴:
^[^/\\]+$.boolean
불리언 값입니다.
boolean
불리언 값입니다.
number
숫자 값입니다.최솟값: 1. 최댓값: 70.
string
텍스트 값입니다.허용값: “cloning”, “custom”.
string
텍스트 값입니다.최소 길이: 1. 최대 길이: 128.
boolean
불리언 값입니다.
string
텍스트 값입니다.허용값: “translated”, “original”.
string
텍스트 값입니다.허용값: “studio”, “realistic”.
string
텍스트 값입니다.허용값: “standard”, “pro”, “studio”.
boolean
불리언 값입니다.
object
JSON 객체입니다. 중첩 필드는 전체 입력 스키마를 참고하세요.
array
값 목록입니다. 항목 구조는 전체 입력 스키마를 참고하세요.최대 항목 수: 100.
string
필수
텍스트 값입니다.허용값: “afrikaans”, “albanian”, “amharic”, “arabic”, “armenian”, “assamese”, “azerbaijani”, “basque”, “belarusian”, “bengali”, “bosnian”, “bulgarian”, “catalan”, “croatian”, “czech”, “danish”, “dutch”, “english”, “british english”, “estonian”, “finnish”, “french”, “french canadian”, “galician”, “german”, “greek”, “gujarati”, “hebrew”, “hindi”, “hungarian”, “icelandic”, “indonesian”, “irish”, “italian”, “japanese”, “kannada”, “kazakh”, “khmer”, “korean”, “lao”, “latvian”, “lithuanian”, “macedonian”, “malay”, “malayalam”, “mandarin”, “marathi”, “mongolian”, “nepali”, “norwegian”, “persian”, “polish”, “portuguese”, “brazilian portuguese”, “pt_brazil”, “punjabi”, “romanian”, “russian”, “serbian”, “slovak”, “slovenian”, “spanish”, “swahili”, “swedish”, “tagalog”, “tamil”, “telugu”, “thai”, “turkish”, “ukrainian”, “urdu”, “vietnamese”, “welsh”, “yoruba”, “zulu”.
string
전송 계층에서는 선택 사항입니다. 생략하면 서버가 유효성 검사 전에 식별자를 추가합니다. 응답이 유실된 경우 안전하게 복구할 수 있도록 고정된 UUID v4를 직접 제공하세요.형식: “uuid”. 패턴:
^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$.전체 입력 스키마
전체 입력 스키마
아래 JSON Schema는 검색을 통해 제공되는 정확한 필드 이름, 중첩 유형, 기본값, 범위 및 허용값을 유지합니다. 추가적인 필드 간 규칙은 작업 참고 사항에 나와 있습니다.
{
"type": "object",
"properties": {
"projectId": {
"type": "string",
"minLength": 1,
"maxLength": 200,
"pattern": "^[^/\\\\]+$"
},
"keepBackgroundMusic": {
"type": "boolean"
},
"keepOriginalVoice": {
"type": "boolean"
},
"originalVoiceVolume": {
"type": "number",
"minimum": 1,
"maximum": 70
},
"voiceMode": {
"type": "string",
"enum": ["cloning", "custom"]
},
"voiceId": {
"type": "string",
"minLength": 1,
"maxLength": 128
},
"subtitles": {
"type": "boolean"
},
"subtitlesSource": {
"type": "string",
"enum": ["translated", "original"]
},
"voiceIsolatorOption": {
"type": "string",
"enum": ["studio", "realistic"]
},
"lipSyncMode": {
"type": "string",
"enum": ["standard", "pro", "studio"]
},
"activeSpeakerDetectionEnabled": {
"type": "boolean"
},
"voiceCloningSettings": {
"type": "object",
"properties": {
"stability": {
"type": "number",
"minimum": 0,
"maximum": 1
},
"similarity": {
"type": "number",
"minimum": 0,
"maximum": 1
}
},
"required": ["stability", "similarity"],
"additionalProperties": false
},
"translationTimeSkips": {
"maxItems": 100,
"type": "array",
"items": {
"type": "object",
"properties": {
"startTime": {
"type": "number",
"minimum": 0
},
"endTime": {
"type": "number",
"exclusiveMinimum": 0
}
},
"required": ["startTime", "endTime"],
"additionalProperties": false
}
},
"targetLanguage": {
"type": "string",
"enum": [
"afrikaans",
"albanian",
"amharic",
"arabic",
"armenian",
"assamese",
"azerbaijani",
"basque",
"belarusian",
"bengali",
"bosnian",
"bulgarian",
"catalan",
"croatian",
"czech",
"danish",
"dutch",
"english",
"british english",
"estonian",
"finnish",
"french",
"french canadian",
"galician",
"german",
"greek",
"gujarati",
"hebrew",
"hindi",
"hungarian",
"icelandic",
"indonesian",
"irish",
"italian",
"japanese",
"kannada",
"kazakh",
"khmer",
"korean",
"lao",
"latvian",
"lithuanian",
"macedonian",
"malay",
"malayalam",
"mandarin",
"marathi",
"mongolian",
"nepali",
"norwegian",
"persian",
"polish",
"portuguese",
"brazilian portuguese",
"pt_brazil",
"punjabi",
"romanian",
"russian",
"serbian",
"slovak",
"slovenian",
"spanish",
"swahili",
"swedish",
"tagalog",
"tamil",
"telugu",
"thai",
"turkish",
"ukrainian",
"urdu",
"vietnamese",
"welsh",
"yoruba",
"zulu"
]
},
"requestId": {
"type": "string",
"format": "uuid",
"pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}$",
"description": "UUID v4 for this action. Reuse the same ID with identical arguments on retries."
}
},
"required": ["projectId", "targetLanguage"],
"additionalProperties": false
}
멱등성
각 변경 작업에 대해 requestId 또는 Idempotency-Key HTTP 헤더에 UUID v4를 사용하세요. 네트워크 오류 후에는 동일한 식별자와 동일한 인수를 재사용하세요. 둘 다 제공하는 경우 값이 일치해야 합니다. 저장된 요청을 재전송해도 작업이 반복되거나 월간 호출이 추가로 차감되지 않습니다. 실패하거나 중단된 요청은 자동으로 다시 시작되지 않습니다. 첫 실행이 일반적으로 동기식인 경우에도, 재시도 시 동일한 요청이 아직 실행 중이면 모든 변경 작업에서 HTTP 202를 반환할 수 있습니다. 실행은 완료되었지만 resultStored가 false이면, 재시도 시 원래 결과 대신 저장된 요청 상태를 HTTP 200으로 반환합니다. 해당 영역의 기록, 결과 또는 다운로드 액션으로 출력을 조회하세요.요청 예제
예제의 리소스 식별자와 미디어 키를 계정에서 반환된 값으로 바꾸세요. 동일한 변경 작업을 재시도할 때는 요청 식별자를 유지하세요.curl --request POST 'https://api.voicecheap.ai/v1/actions/translations_start' \
--header "x-api-key: $VOICECHEAP_API_KEY" \
--header 'Content-Type: application/json' \
--data '{"projectId":"project_launch_2026","targetLanguage":"english","voiceMode":"cloning","keepBackgroundMusic":true,"requestId":"41321bda-e243-4b6f-96a4-622cd047c991"}'
const input = {
projectId: 'project_launch_2026',
targetLanguage: 'english',
voiceMode: 'cloning',
keepBackgroundMusic: true,
requestId: '41321bda-e243-4b6f-96a4-622cd047c991',
};
const response = await fetch('https://api.voicecheap.ai/v1/actions/translations_start', {
method: 'POST',
headers: {
'x-api-key': process.env.VOICECHEAP_API_KEY,
'Content-Type': 'application/json',
},
body: JSON.stringify(input),
});
const body = await response.json();
if (!response.ok) throw new Error(body.code + ': ' + body.message);
console.log(body);
import os
import requests
response = requests.post(
"https://api.voicecheap.ai/v1/actions/translations_start",
headers={"x-api-key": os.environ["VOICECHEAP_API_KEY"]},
json={"projectId": "project_launch_2026", "targetLanguage": "english", "voiceMode": "cloning", "keepBackgroundMusic": True, "requestId": "41321bda-e243-4b6f-96a4-622cd047c991"},
timeout=120,
)
body = response.json()
if not response.ok:
raise RuntimeError(f"{body.get('code')}: {body.get('message')}")
print(body)
응답
성공한 첫 실행은 작업 결과를 data 아래에 포함하여 HTTP 200을 반환합니다. 재전송 시에는 저장된 요청 상태를 대신 반환할 수 있습니다. 예제는 지원되는 응답 중 하나를 보여주며 모든 선택 필드를 포함하지는 않습니다. 이미 전사된 기존 프로젝트의 번역과 더빙을 접수한 후 프로젝트 및 대상 언어 작업 식별자를 반환합니다.{
"data": {
"success": true,
"message": "Translation started successfully. Use the status endpoint to track progress.",
"projectId": "project_launch_2026",
"estimatedDuration": 10,
"workId": "5f8423d1-e4c0-4f80-9e3f-eed959389e24"
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
{
"data": {
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991",
"operation": "translations_start",
"createdAt": 1792144800000,
"updatedAt": 1792144820000,
"status": "running",
"pollAfterSeconds": 5
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
{
"data": {
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991",
"operation": "translations_start",
"createdAt": 1792144800000,
"updatedAt": 1792144820000,
"status": "completed",
"resultStored": false,
"message": "The action completed. Retrieve its output from the corresponding history or resource action."
},
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991"
}
결과 필드
| 필드 | 설명 |
|---|---|
data.success | 백그라운드 워크플로가 접수되었으면 true입니다. 미디어가 완성되었음을 나타내지는 않습니다. |
data.message | 번역 또는 제공된 번역을 사용한 더빙의 확인 응답입니다. |
data.projectId | 상위 프로젝트 식별자입니다. |
data.estimatedDuration | 대략적인 분 단위 처리 예상 시간: ceil(초 단위 원본 길이 / 60) * 5. |
data.workId | 기존 또는 새로 생성된 대상 언어 작업 식별자입니다. |
이 요청 복구 및 폴링
연결이 끊어진 후에도 동일한 식별자를 사용하세요. resultStored가 false이면 해당 기록, 결과 또는 다운로드 액션을 통해 출력을 조회하세요. 진행 상황을 확인하기 위해 두 번째 생성을 시작하지 마세요.curl --request POST 'https://api.voicecheap.ai/v1/actions/action_request_get' \
--header "x-api-key: $VOICECHEAP_API_KEY" \
--header 'Content-Type: application/json' \
--data '{"requestId":"41321bda-e243-4b6f-96a4-622cd047c991","operation":"translations_start"}'
HTTP 200
{
"data": {
"requestId": "41321bda-e243-4b6f-96a4-622cd047c991",
"operation": "translations_start",
"status": "completed",
"createdAt": 1792144800000,
"updatedAt": 1792144820000,
"resultStored": true,
"result": {
"success": true,
"message": "Translation started successfully. Use the status endpoint to track progress.",
"projectId": "project_launch_2026",
"estimatedDuration": 10,
"workId": "5f8423d1-e4c0-4f80-9e3f-eed959389e24"
}
}
}
작업 참고 사항
- 완료된 비어 있지 않은 원본 전사문이 필요합니다. 저장된 프로젝트가 미디어 길이와 미디어 유형을 제공합니다.
- 기존 언어 작업이 있으면 재사용하고, 없으면 만듭니다. 같은 언어에서 다른 더빙을 시작하려면 동시에 진행 중인 더빙 실행이 먼저 끝나야 합니다.
- 이 액션은 sourceSrt, translatedSrt, fileKey, 미디어 URL 또는 webhookUrl을 받지 않습니다.
- voiceMode의 기본값은 cloning입니다. voiceMode custom에서는 카탈로그 음성이나 인증된 계정이 저장한 사용자 지정 음성을 사용하고 voiceCloningSettings를 지정하지 마세요. 팀 결제를 사용해도 다른 구성원이 저장한 음성에 접근할 수 없습니다.
- 선택적인 subtitles, lipSyncMode 및 translationTimeSkips에는 비디오 입력이 필요합니다. 건너뛴 구간은 미디어 길이 내에 있어야 하며 keepBackgroundMusic은 true, keepOriginalVoice는 false여야 합니다.
- lipSyncMode는 요금제 및 일반 미디어 크레딧 확인 조건에 따라 standard, pro 또는 studio를 허용합니다. 월간 API 호출이 무제한이어도 음성과 립싱크가 무료가 되는 것은 아닙니다.
- 미디어 워크플로는 projects_status를 폴링하고, 모든 언어 버전은 projects_get으로 가져오세요.
사용량
성공한 호출마다 월간 API/MCP 호출 1회가 차감됩니다. 미디어 크레딧과 해당 작업의 생성 허용량도 적용됩니다.오류
| HTTP 상태 | 코드 | 의미 또는 복구 방법 |
|---|---|---|
| 400 | CREDENTIAL_IN_QUERY | 자격 증명이 access_token 또는 api_key 쿼리 매개변수로 제공되었습니다. 자격 증명은 헤더로 보내세요. |
| 400 | DURATION_DETECTION_FAILED | 저장된 프로젝트 미디어 길이를 사용할 수 없습니다. |
| 400 | IDEMPOTENCY_CONFLICT | Idempotency-Key 헤더와 본문의 requestId 필드가 일치해야 합니다. |
| 400 | INVALID_REQUEST_ID | UUID v4인 requestId 또는 Idempotency-Key를 제공하세요. |
| 400 | LIPSYNC_NOT_AVAILABLE_FOR_AUDIO | 립싱크에는 동영상 입력이 필요합니다. |
| 400 | LIPSYNC_VIDEO_TOO_LONG | 동영상이 선택한 립싱크 모드의 길이 제한을 초과합니다. |
| 400 | SUBTITLES_NOT_AVAILABLE_FOR_AUDIO | 영상에 입힌 자막을 만들려면 동영상 입력이 필요합니다. |
| 400 | TRANSLATION_TIME_SKIP_CONFLICT | 번역 시간 건너뛰기는 keepOriginalVoice가 true인 경우와 함께 사용할 수 없습니다. |
| 400 | TRANSLATION_TIME_SKIP_NOT_AVAILABLE_FOR_AUDIO | 번역 시간 구간을 건너뛰려면 동영상 입력이 필요합니다. |
| 400 | TRANSLATION_TIME_SKIP_OUT_OF_RANGE | 건너뛴 구간이 미디어 길이를 벗어납니다. |
| 400 | TRANSLATION_TIME_SKIP_REQUIRES_BACKGROUND | 번역 시간 구간을 건너뛰려면 keepBackgroundMusic이 true여야 합니다. |
| 400 | VALIDATION_ERROR | 스키마에 따라 입력을 수정하세요. 유효하지 않거나 일관되지 않은 값은 실행 전에 거부됩니다. |
| 400 | VOICE_CLONING_SETTINGS_NOT_ALLOWED | voiceCloningSettings는 voiceMode가 cloning일 때만 적용됩니다. |
| 400 | VOICE_ID_NOT_ALLOWED_WITH_CLONING | voiceId는 voiceMode cloning과 함께 사용할 수 없습니다. |
| 400 | VOICE_ID_REQUIRED | voiceMode가 custom이면 voiceId가 필요합니다. |
| 401 | API_KEY_EXPIRED | API 키가 만료되었습니다. |
| 401 | INVALID_API_KEY | 유효하고 만료되지 않은 API 키를 제공하세요. |
| 401 | INVALID_CREDENTIAL | Authorization 헤더의 형식이 잘못되었거나 x-api-key와 충돌합니다. |
| 401 | MISSING_CREDENTIAL | 사용 가능한 헤더 자격 증명이 전달되지 않았거나 4096자를 초과했습니다. |
| 401 | USER_NOT_FOUND | 이 자격 증명에 연결된 계정이 더 이상 존재하지 않습니다. |
| 403 | ACCOUNT_UNAVAILABLE | 작업을 수행하는 계정 또는 결제 계정을 사용할 수 없거나 해당 계정이 삭제 중입니다. |
| 403 | AMBIGUOUS_TEAM_API_KEY | 이 자격 증명의 사용자가 둘 이상의 팀에 속해 있어 청구 컨텍스트가 모호합니다. |
| 403 | CUSTOM_VOICE_ACCESS_DENIED | 선택한 음성은 카탈로그 음성도 아니고 인증된 계정이 저장한 사용자 지정 음성도 아닙니다. |
| 403 | FORBIDDEN | 인증된 작업 수행자가 이 프로젝트에 접근할 수 없습니다. |
| 403 | INSUFFICIENT_CREDITS | 선택한 음성 및 선택적 립싱크 설정에 필요한 미디어 크레딧이 계정에 부족합니다. |
| 403 | INSUFFICIENT_SCOPE | 필요한 모든 권한을 부여하거나 다른 자격 증명을 사용하세요. |
| 403 | INTEGRATION_PLAN_UNSUPPORTED | 계정의 통합 한도를 확인할 수 없습니다. |
| 403 | LIPSYNC_MODE_ACCESS_DENIED | 선택한 추가 립싱크 모드는 현재 요금제에서 사용할 수 없습니다. |
| 403 | SUBSCRIPTION_REQUIRED | 활성 유료 구독을 사용하세요. |
| 403 | TEAM_OWNER_NOT_FOUND | 실제로 적용되는 팀 소유자 계정을 찾을 수 없습니다. |
| 404 | PROJECT_NOT_FOUND | 접근 가능한 계정에 프로젝트가 없습니다. |
| 409 | CONCURRENT_ACTION_LIMIT_REACHED | 이 계정에서는 이미 10개의 연동 액션이 실행 중입니다. 새 액션을 시작하기 전에 기존 요청을 폴링하세요. |
| 409 | DUB_ONLY_REQUIRES_TRANSCRIPTION | 원본 전사가 완료되고 비어 있지 않을 때까지 기다린 후 이 액션을 시작하세요. |
| 409 | IDEMPOTENCY_CONFLICT | 동일한 작업과 인수에 대해서만 식별자를 재사용하세요. |
| 409 | TRANSLATION_ALREADY_IN_PROGRESS | 이 대상 언어의 더빙 실행이 이미 진행 중입니다. |
| 429 | CONCURRENT_TRANSLATION_LIMIT_REACHED | 계정의 동시 번역 한도에 도달했습니다. |
| 429 | INTEGRATION_MONTHLY_LIMIT_REACHED | 월간 한도가 초기화될 때까지 기다리거나 요금제를 변경하세요. |
| 429 | INTEGRATION_RATE_LIMIT_REACHED | Retry-After가 있으면 지정된 시간만큼 기다리고 백오프를 적용하세요. |
| 500 | INTERNAL_ERROR | 변경 작업을 재시도하기로 결정하기 전에 저장된 요청 상태와 리소스 기록을 확인하세요. |
| 503 | ACTION_RESULT_UNAVAILABLE | 액션은 실행되었지만 결과를 저장할 수 없습니다. 새 생성을 시작하기 전에 저장된 요청 상태와 리소스 기록을 확인하세요. |
| 503 | SERVER_RESTARTING | 서버가 다시 시작 중입니다. 잠시 후 재시도하고, 변경 작업의 경우 동일한 요청 식별자를 유지하세요. |
{
"code": "INSUFFICIENT_SCOPE",
"message": "This credential does not permit the requested action.",
"status": 403,
"details": {
"requiredScopes": ["translations:write"]
}
}
이 페이지가 도움이 되었나요?

